// pages/common/foot/teacher/foot.js
Component({
  properties: {
    dataInd: {
      type: String,
      value: ''
    }
  },
  data: {
    tabList: [{
      icon: 'iconfont icon-shouye',
      txt: "首页",
      url: '/pages/main/main',
      id: '0',
      color: ''
    },
    {
      icon: 'iconfont icon-wode',
      txt: "我的",
      url: '/pages/mine/mine',
      id: '2',
      color: ''
    }
    ]
  },
  ready() {
    this.properties.tabList.map(file => {
      if (file.id == this.properties.dataInd) {
        file.color = '#0ac4ff'
      }
    })
    this.setData({
      tabList: this.properties.tabList
    })
  }
})